/* ================================
   NIVA CLOTHING PRELOADER
================================ */

.website_preloader {
  position: fixed;
  inset: 0;
  width: 100%;
  height: 100vh;

  background: #ffffff;

  display: flex;
  align-items: center;
  justify-content: center;

  z-index: 999999;

  overflow: hidden;
}

/* Lottie Loader */
.preloader_lottie {
  width: 110px;
  height: 110px;

  display: flex;
  align-items: center;
  justify-content: center;
}

/* Make Lottie SVG responsive */
.preloader_lottie svg {
  width: 100% !important;
  height: 100% !important;
  display: block;
}


/* ================================
   MOBILE
================================ */

@media (min-width: 0px) and (max-width: 575.98px) {
  .website_preloader {
    min-height: 100vh;
  }

  .preloader_lottie {
    width: 110px;
    height: 110px;
  }
}


/* ================================
   TABLET
================================ */

@media (min-width: 576px) and (max-width: 991.98px) {
  .preloader_lottie {
    width: 150px;
    height: 150px;
  }
}


/* ================================
   DESKTOP
================================ */

@media (min-width: 992px) {
  .preloader_lottie {
    width: 180px;
    height: 180px;
  }
}